/*
   This program is a FSM that reads lines from standard input,
   converts the second in a pair of duplicated lower-case-vowels
   to upper case, and echos everything else.
*/
#include <stdio.h>

int main()
{
   int c;
   int state = 1;
   int old_c;
   while ( (c = getchar()) != EOF )
   {
      if (1 == state)
      {
         if ( c != 'a'
           && c != 'e'
           && c != 'i'
           && c != 'o'
           && c != 'u' )
         {
            printf("%c", c);  // echo the non lower-case-vowels
         }                    // stay in state 1
         else
         {
            printf("%c", c);  // echo the lower-case-vowel
            old_c = c;        // remember it
            state = 2;        // change to state 2
         }
      }
      else if (2 == state)
      {
         if (c == old_c)
         {
            printf("%c", c - 32); // duplicated vowel as upper-case
            state = 1;            // change to state 1
         }
         else if( c != 'a'
                && c != 'e'
                && c != 'i'
                && c != 'o'
                && c != 'u' )
         {
            printf("%c", c);  // echo the non lower-case-vowels
            state = 1;        // change to state 1
         }
         else
         {
            printf("%c", c);  // echo the lower-case-vowel
            old_c = c;        // remember it
         }                    // stay in state 2
      }
   }
   return 0;
}
